e-invoicing

Retrieve your Consumer App Portal link

Use the Indirect Tax API to retrieve the Consumer App Portal link after configuring the webhook communication method to use the Svix solution to receive notifications.

  1. Send a GET request to /v2/configurations/organizations/{organizationId}/erpSystem/{erpSystemId}/webhook.
  2. Include the following headers in your request:
    • Content-Type: application/json

    • Authorization: Bearer {accessToken}

    • x-correlationId: {uniqueValue}

  3. Include the following path parameters inside the JSON payload in the request body.
    Name Type Required Description
    organizationId string Yes The organization ID obtained from the Sovos Professional Services team
    erpSystemId string Yes The unique identifier of the ERP system (SystemId).
Upon successful configuration, the API returns your Consumer App Portal link, which you need to configure to receive notifications, as explained in the Svix documentation.

Samples for retrieving the consumer app portal link

Request sample

JSON
curl --location --request GET 'https://api-test.sovos.com/v2/configurations/organizations/{organizationId}/erpSystem/{erpSystemId}/webhook' \
--header Content-Type: application/json \
--header Authorization: Bearer {accessToken} \
--header x-correlationId: {uniqueValue}

Response sample

JSON
{
    "status": 200,
    "message": "OK",
    "success": true,
    "timestamp": 1752584567956,
    "data": {
        "token": "testsk_app_9fwQiEAs3d45fg67hj89k,1463.eu",
        "url": "https://app.svix.com/login?primaryColorLight=24c89E&icon=https%3A%2F%2Fsovos.com%2Fwp-content%2Fuploads%2F2023%2F06%2FFY24-Sovos_Favicon-FY24-Sovos-Favicon-Dark-Blue_32x32.svg&fontFamily=Inter&key=eyJhcGBJZCI6ImFwcF8yenVja1pwM1BqVWpWd0nVTkVnNENEWDRYaXYiLCJwbWUuaW1iVo9zZW4i0iJsUTMtZm1kSktNWUzZFJnVmZvczUiS3hLX2QxaGlTWCIsInJiZ21vbi16ImV1InQ="
    }
}